Bug 174603 - volume group not containing root nor swap not brought up
Summary: volume group not containing root nor swap not brought up
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-30 17:26 UTC by Alexandre Oliva
Modified: 2014-03-17 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-13 15:50:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2005-11-30 17:26:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
It appears that testing the exit status of vgscan to decide whether to run vgchange -ay is not having the desired effect.  Even though volume groups that contain root or swap devices are brought up by initrd, other volume groups are not, and depend on this command to work.  Unfortunately, it is not working, and I have to disable automatic mounting of its logical volumes, manually activate such volume groups on reboot and then mount them by hand.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up a box with a volume group that does not contain root or swap devices
2.Perform a minimal FC5test1 install on it
3.Boot it up

Actual Results:  The alternate volume group is not brought up

Expected Results:  It should be

Additional info:

Comment 1 Alexandre Oliva 2006-01-13 15:50:33 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.